Package sop.operation

# Interface Version

public interface Version

## Method Summary

Modifier and Type
Method
Description
`String`
`getBackendVersion()`
Return version information about the used OpenPGP backend.
`String`
`getExtendedVersion()`
Return an extended version string containing multiple lines of version information.
`String`
`getName()`
Return the implementations name.
`String`
`getSopSpecImplementationRemarks()`
Return free-form text containing remarks about the completeness of the SOP implementation.
`default String`
`getSopSpecRevisionName()`
Return the name of the latest targeted revision of the SOP spec.
`int`
`getSopSpecRevisionNumber()`
Return the version number of the latest targeted SOP spec revision.
`default String`
`getSopSpecVersion()`
Return the revision of the SOP specification that this implementation is implementing, for example,
`String`
`getVersion()`
Return the implementations short version string.
`boolean`
`isSopSpecImplementationIncomplete()`
Return

## Method Details

### getName

String getName()
Return the implementations name. e.g. "SOP",

Returns:
  implementation name

### getVersion

String getVersion()
Return the implementations short version string. e.g. "1.0"

Returns:
  version string

### getBackendVersion

String getBackendVersion()
Return version information about the used OpenPGP backend. e.g. "Bouncycastle 1.70"

Returns:
  backend version string

### getExtendedVersion

String getExtendedVersion()
Return an extended version string containing multiple lines of version information. The first line MUST match the information produced by `getName()` and `getVersion()`, but the rest of the text has no defined structure. Example:

         "SOP 1.0
         Awesome PGP!
         Using Bouncycastle 1.70
         LibFoo 1.2.2
         See https://pgp.example.org/sop/ for more information"

Returns:
  extended version string

### getSopSpecVersion

default String getSopSpecVersion()
Return the revision of the SOP specification that this implementation is implementing, for example,

    draft-dkg-openpgp-stateless-cli-06

. If the implementation targets a specific draft but the implementer knows the implementation is incomplete, it should prefix the draft title with a "~" (TILDE, U+007E), for example:

    ~draft-dkg-openpgp-stateless-cli-06

. The implementation MAY emit additional text about its relationship to the targeted draft on the lines following the versioned title.

Returns:
  implemented SOP spec version

### getSopSpecRevisionNumber

int getSopSpecRevisionNumber()
Return the version number of the latest targeted SOP spec revision.

Returns:
  SOP spec revision number

### getSopSpecRevisionName

default String getSopSpecRevisionName()
Return the name of the latest targeted revision of the SOP spec.

Returns:
  SOP spec revision string

### isSopSpecImplementationIncomplete

boolean isSopSpecImplementationIncomplete()
Return

    true

, if this implementation of the SOP spec is known to be incomplete or defective.

Returns:
  true if incomplete, false otherwise

### getSopSpecImplementationRemarks

String getSopSpecImplementationRemarks()
Return free-form text containing remarks about the completeness of the SOP implementation. If there are no remarks, this method returns

    null

.

Returns:
  remarks or null